I have a Mac OS X Lion 10.7.4. is this compatible with the HP photosmart 5520 e-all in one printer???

  • Asked by Jackie J from Anaheim
  • Nov 11, 2012
HP Photosmart 5520 e-All-in-One Wireless Printer

HP Photosmart 5520 e-All-in-One Wireless Printer

Product No Longer Available

2 Answers from the Community

  • Answer

    Yes

    • Answered by Ivan P from Saratov
    • Nov 15, 2012
  • It says in compatibility section OS x 10.6 or higher so would that not be lower then OS x lion 10..7.4

    • Answered by Brenda P from Victoria
    • Nov 16, 2012